<?php session_start();
define("DB_name", "inventarios");
define("DB_server", "localhost");
define("DB_user", "root");
define("DB_pass", "");
define('AppName', 'Super Inventarios');
define("HOME","/2025/ropa/");

define("PATH_HOME", "http://" . $_SERVER['HTTP_HOST'] . HOME);
define("PATH_ROOT", $_SERVER['DOCUMENT_ROOT'] . HOME);

$USUARIO='';
	$UssOnLine = new Session();
	if(isset($_SESSION['USUARIO'])){
		$USUARIO = $UssOnLine->Get('USUARIO');
		$USID = $UssOnLine->Get('USID'); 
		$USCODIGO = $UssOnLine->Get('CODIGO');
		$ROL = $UssOnLine->Get('ROL');		
	}
	$encript = md5(uniqid());	

//tipo moneda
function Dollar(){
	$sqlMoneda = "SELECT * FROM ventas_moneda
	WHERE mone_codigo = 'dollar';";	
	$Moneda= new DB();
	$Moneda->dbSQL($sqlMoneda);
	$Moneda->next();	
		$Dollar = $Moneda->dbField("mone_valor");
		
	return $Dollar;
}	
//tipo moneda

function __autoload($class_name) {
	require_once PATH_ROOT.'casa/class.' . $class_name . '.casa.php';	    
}

function Caresp($parrafo){
	$p = array("/á/","/é/","/í/","/ó/","/ú/","/ñ/","/Á/","/É/","/Í/","/Ó/","/Ú/","/Ñ/");
   $r = array("&aacute;","&eacute;","&iacute;","&oacute;","&uacute;","&ntilde;","&Aacute;","&Eacute;","&Iacute;","&Oacute;","&Uacute;","&Ntilde;");
   
	$parrafo = preg_replace($p, $r, $parrafo);

	return $parrafo;
}

function FechaGlobal($fec){
	//2023-05-06 21:53:45
	$fecha = explode(' ',$fec);
	$hora = explode(':',$fecha[1]);
	$mes = explode('-', $fecha[0]);

	switch($mes[1]){
		case 1 : $mm = 'Ene'; break;
		case 2 : $mm = 'Feb'; break;
		case 3 : $mm = 'Mar'; break;
		case 4 : $mm = 'Abr'; break;
		case 5 : $mm = 'May'; break;
		case 6 : $mm = 'Jun'; break;
		case 7 : $mm = 'Jul'; break;
		case 8 : $mm = 'Ago'; break;
		case 9 : $mm = 'Sep'; break;
		case 10: $mm = 'Oct'; break;
		case 11: $mm = 'Nov'; break;
		case 12: $mm = 'Dic'; break;		
	}

	if($hora[0] < 6)
		$hh = ($hora[0] + 24) - 18;
	else
		$hh = $hora[0] - 6;

	$hora_global = $mes[2].'/'.$mm.'/'.$mes[0].'&nbsp;'.$hh.':'.$hora[1].':'.$hora[2];

	return $hora_global;
}

function GeneraPW($Nombres, $Apellidos, $CI, $UssPass){
$ApPaterno = substr($Apellidos,0,1);
$ApNombres = substr($Nombres,0,1);
$ApMaterno = explode(' ',$Apellidos);

$ci = explode(' ', $CI);
$ApCI = $ci[0];

if($UssPass == 'US'){
	if(empty($ApMaterno[1]))
		$Generado = $ApNombres.$ApPaterno.$ApCI;
	else{
		$Materno = substr($ApMaterno[1],0,1);
		$Generado = $ApNombres.$ApPaterno.$Materno.$ApCI;
	}	
}else{
	$Generado = $ApCI;
}

return $Generado;
}
?>